HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

List all alerts

(Deprecated) This API endpoint retrieves the list of Alerts based on the query parameters provided. The alerts list includes details such as name, type, category, severity, status, etc. The query parameters allow you to filter results that meet specific criteria, ensuring you receive only relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the table below. siteId filter is mandatory in the request.

FieldOperators
siteIdeq and in
typeIdeq and in
statuseq and in
categoryeq and in
deviceTypeeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.
  • in: Only values present in the given list are returned.

List of applicable filters for field and terms:

FieldApplicable Terms
siteIdstring
typeIdstring
status["Active", "Deferred", "Cleared"]
deviceType["Access Point", "Gateway", "Switch", "Bridge", "Access Point, Switch", "Switch, Switch"]
category["Clients", "System", "LAN", "WLAN", "WAN", "Cluster", "Routing", "Security"]
string
length ≤ 256

Sort field followed by a direction indicator ASC (ascending) or DESC (descending). Supported fields are createdAt,severity,status,name,priority. createdAt field is used by default.

string
≥ 1
Defaults to 1

Specifies the pagination cursor for the next page of resources. Minimum value is 1.

integer
1 to 100
Defaults to 20

Maximum number of alerts to be retrieved. Allowed range is 1 to 100.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json